PROGRAM=exercise_06_20
CXX=clang++
CXXFLAGS=-Wall -Wextra -Werror -g3

run: $(PROGRAM)
	./$(PROGRAM)
	
$(PROGRAM): exercise_06_20.o | .gitignore
	$(CXX)    $(CXXFLAGS) $< -o $@
	
%.ii: %.cpp
	$(CXX) -E $(CXXFLAGS) $< -o $@
	
%.s: %.ii
	$(CXX) -S $(CXXFLAGS) $< -o $@
	
%.o: %.s
	$(CXX) -c $(CXXFLAGS) $< -o $@
	
.gitignore:
	echo $(PROGRAM) > .gitignore
	
clean:
	rm *.s *.ii *.o $(PROGRAM) .gitignore
	
.PRECIOUS: exercise_06_20.ii exercise_06_20.s exercise_06_20.o
.SECONDARY: exercise_06_20.ii exercise_06_20.s exercise_06_20.o

